> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Evaluation Details

> Get evaluation details for a given agent



## OpenAPI

````yaml get /v1/orchestrate/agent/{agent_id}/evaluations/{evaluation_id}
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/orchestrate/agent/{agent_id}/evaluations/{evaluation_id}:
    get:
      tags:
        - Agent Evaluation
      summary: Get Evaluation Details
      description: Get evaluation details for a given agent
      operationId: >-
        Get_evaluation_details_v1_orchestrate_agent__agent_id__evaluations__evaluation_id__get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
        - name: evaluation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Evaluation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    EvaluationResponse:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Evaluation ID
        executed_date:
          type: string
          title: Executed Date
          description: Date evaluated
        evaluation_status:
          anyOf:
            - $ref: '#/components/schemas/StatusEnum'
            - type: 'null'
          description: Evaluation status
        number_of_test_cases:
          type: integer
          title: Number Of Test Cases
          description: Number of test cases
        executed_by:
          type: string
          title: Executed By
          description: Run by user
        aggregate_metrices:
          anyOf:
            - $ref: '#/components/schemas/EvaluationMetrics'
            - type: 'null'
          description: Aggregated metrics
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
          description: Name of the agent
        agent_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Description
          description: Description of the agent
        agent_environment:
          anyOf:
            - items:
                $ref: '#/components/schemas/EnvironmentSchema'
              type: array
            - type: 'null'
          title: Agent Environment
          description: List of environments associated with the agent
          default: []
      type: object
      required:
        - executed_date
        - evaluation_status
        - number_of_test_cases
        - executed_by
      title: EvaluationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StatusEnum:
      type: string
      enum:
        - PENDING
        - IN_PROGRESS
        - COMPLETED
        - CANCELLED
        - FAILED
      title: StatusEnum
    EvaluationMetrics:
      properties:
        tool_quality:
          anyOf:
            - $ref: '#/components/schemas/ToolQualityMetrics'
            - type: 'null'
        answer_quality:
          anyOf:
            - $ref: '#/components/schemas/AnswerQualityMetrics'
            - type: 'null'
        transaction_completion:
          anyOf:
            - $ref: '#/components/schemas/TrasactionCompletionMetrics'
            - type: 'null'
      type: object
      title: EvaluationMetrics
    EnvironmentSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier for the environment
        name:
          type: string
          title: Name
          description: Name of the environment
        current_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Version
          description: current_version
        voice:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Voice
          description: Voice configuration for the environment
        enable_wxg_integration:
          anyOf:
            - type: string
            - type: 'null'
          title: Enable Wxg Integration
          description: Flag to enable/disable wxg integration
          default: inactive
        wxg_metrics_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Wxg Metrics Url
          description: URL to watsonx.governance metrics dashboard for this agent
          default: ''
      type: object
      required:
        - id
        - name
      title: EnvironmentSchema
      description: Schema for simplified environment within an agent.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ToolQualityMetrics:
      properties:
        average:
          anyOf:
            - $ref: '#/components/schemas/MetricDetail'
            - type: 'null'
        accuracy:
          anyOf:
            - $ref: '#/components/schemas/MetricDetail'
            - type: 'null'
        relevance:
          anyOf:
            - $ref: '#/components/schemas/MetricDetail'
            - type: 'null'
      type: object
      title: ToolQualityMetrics
    AnswerQualityMetrics:
      properties:
        average:
          anyOf:
            - $ref: '#/components/schemas/MetricDetail'
            - type: 'null'
        relevance:
          anyOf:
            - $ref: '#/components/schemas/MetricDetail'
            - type: 'null'
        correctness:
          anyOf:
            - $ref: '#/components/schemas/MetricDetail'
            - type: 'null'
        faithfulness:
          anyOf:
            - $ref: '#/components/schemas/MetricDetail'
            - type: 'null'
      type: object
      title: AnswerQualityMetrics
    TrasactionCompletionMetrics:
      properties:
        average:
          anyOf:
            - $ref: '#/components/schemas/MetricDetail'
            - type: 'null'
        failed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Failed
        success:
          anyOf:
            - type: integer
            - type: 'null'
          title: Success
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
      type: object
      title: TrasactionCompletionMetrics
    MetricDetail:
      properties:
        value:
          anyOf:
            - type: number
            - type: 'null'
          title: Value
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
      type: object
      title: MetricDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````